# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, ... }:

{
  services.keyd = {
    enable = true;
    keyboards.default.settings.main = {
      e = "f";
      r = "p";
      t = "b";
      y = "j";
      u = "l"; 
      i = "u";
      o = "y";
      p = "semicolon";
      s = "r";
      d = "s";
      f = "t";
      h = "m";
      j = "n";
      k = "e";
      l = "i";
      semicolon = "o";
      v = "d";
      b = "v";
      n = "k";
      m = "h";
      capslock = "leftshift";
      leftshift = "escape";
      rightalt = "rightshift";
    };
  };
}
